Page MenuHomePhabricator

copies-rust: move the parent token to an enum
ClosedPublic

Authored by Alphare on Nov 27 2020, 11:12 AM.

Details

Summary

We carry around information about which parent of a revision is been dealt
with. So far this was a usize but as we are about to pass it around to more
function it seems like a good idea to start cleaning this up and use a proper
enum.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Alphare created this revision.Nov 27 2020, 11:12 AM
marmoute updated this revision to Diff 23818.Nov 29 2020, 6:13 AM
marmoute updated this revision to Diff 23867.Nov 29 2020, 3:29 PM

Note to reviewers: this patch through to D9426 are authored by @marmoute. I'm waiting for him to commandeer them, I just sent them because he had some Phabricator trouble.

pulkit accepted this revision.Dec 7 2020, 8:41 AM
This revision is now accepted and ready to land.Dec 7 2020, 8:41 AM
This revision was automatically updated to reflect the committed changes.